/*Función que devuelve cuantas veces se repite un caracter concreto en una frase 
introducida por teclado*/

#include<stdio.h>
#include<conio.h>
#include<string.h>

#define M 50

int cuentaletras(char [],char);

void main (void)
{
	char frase[M],caracter;
	int repet=0;
	clrscr();
	printf("Teclea una frase: ");
	gets(frase);
	fflush(stdout);
	printf("\nTeclea un caracter para saber cuantas veces se repite en esa frase: ");
	scanf("%c",&caracter);
	repet=cuentaletras(frase,caracter);
	_setcursortype(_NOCURSOR);
	printf("\nEl caracter se repite en la frase \"%s\" %d veces",frase,repet);
	getch();
}
int cuentaletras(char frase[],char a)
{
	int numero=0,dim,i;
		
	dim=strlen(frase);
	for(i=0;i<=dim;i++)
	{
		if(frase[i]==a)
		{
			numero++;
		}
	}
	return(numero);	
}